org.apache.cassandra.thrift

## Interface Cassandra.AsyncIface

All Known Implementing Classes:
  Cassandra.AsyncClient

Enclosing class:
  Cassandra

    public static interface Cassandra.AsyncIface

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(java.nio.ByteBuffer key, ColumnParent column_parent, CounterColumn column, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `atomic_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `cas(java.nio.ByteBuffer key, java.lang.String column_family, java.util.List<Column> expected, java.util.List<Column> updates, ConsistencyLevel serial_consistency_level, ConsistencyLevel commit_consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_cluster_name(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_keyspaces(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_local_ring(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_partitioner(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_ring(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_schema_versions(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_snitch(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_splits_ex(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_splits(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_token_map(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `describe_version(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `execute_cql_query(java.nio.ByteBuffer query, Compression compression, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `execute_cql3_query(java.nio.ByteBuffer query, Compression compression, ConsistencyLevel consistency, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `execute_prepared_cql_query(int itemId, java.util.List<java.nio.ByteBuffer> values, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `execute_prepared_cql3_query(int itemId, java.util.List<java.nio.ByteBuffer> values, ConsistencyLevel consistency, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `get_count(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `get_indexed_slices(ColumnParent column_parent, IndexClause index_clause, SlicePredicate column_predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `get_multi_slice(MultiSliceRequest request, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `get_paged_slice(java.lang.String column_family, KeyRange range, java.nio.ByteBuffer start_column, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `get_range_slices(ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `get_slice(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `get(java.nio.ByteBuffer key, ColumnPath column_path, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `insert(java.nio.ByteBuffer key, ColumnParent column_parent, Column column, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `login(AuthenticationRequest auth_request, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `multiget_count(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `multiget_slice(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `prepare_cql_query(java.nio.ByteBuffer query, Compression compression, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `prepare_cql3_query(java.nio.ByteBuffer query, Compression compression, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `remove_counter(java.nio.ByteBuffer key, ColumnPath path, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `remove(java.nio.ByteBuffer key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `set_cql_version(java.lang.String version, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `set_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `system_add_column_family(CfDef cf_def, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `system_add_keyspace(KsDef ks_def, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `system_drop_column_family(java.lang.String column_family, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `system_drop_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `system_update_column_family(CfDef cf_def, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `system_update_keyspace(KsDef ks_def, org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `trace_next_query(org.apache.thrift.async.AsyncMethodCallback resultHandler)`
`void` `truncate(java.lang.String cfname, org.apache.thrift.async.AsyncMethodCallback resultHandler)`

### Method Detail

#### login

    void login(AuthenticationRequest auth_request,
               org.apache.thrift.async.AsyncMethodCallback resultHandler)
        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_keyspace

    void set_keyspace(java.lang.String keyspace,
                      org.apache.thrift.async.AsyncMethodCallback resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get

    void get(java.nio.ByteBuffer key,
             ColumnPath column_path,
             ConsistencyLevel consistency_level,
             org.apache.thrift.async.AsyncMethodCallback resultHandler)
      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_slice

    void get_slice(java.nio.ByteBuffer key,
                   ColumnParent column_parent,
                   SlicePredicate predicate,
                   ConsistencyLevel consistency_level,
                   org.apache.thrift.async.AsyncMethodCallback resultHandler)
            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_count

    void get_count(java.nio.ByteBuffer key,
                   ColumnParent column_parent,
                   SlicePredicate predicate,
                   ConsistencyLevel consistency_level,
                   org.apache.thrift.async.AsyncMethodCallback resultHandler)
            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### multiget_slice

    void multiget_slice(java.util.List<java.nio.ByteBuffer> keys,
                        ColumnParent column_parent,
                        SlicePredicate predicate,
                        ConsistencyLevel consistency_level,
                        org.apache.thrift.async.AsyncMethodCallback resultHandler)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### multiget_count

    void multiget_count(java.util.List<java.nio.ByteBuffer> keys,
                        ColumnParent column_parent,
                        SlicePredicate predicate,
                        ConsistencyLevel consistency_level,
                        org.apache.thrift.async.AsyncMethodCallback resultHandler)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_range_slices

    void get_range_slices(ColumnParent column_parent,
                          SlicePredicate predicate,
                          KeyRange range,
                          ConsistencyLevel consistency_level,
                          org.apache.thrift.async.AsyncMethodCallback resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_paged_slice

    void get_paged_slice(java.lang.String column_family,
                         KeyRange range,
                         java.nio.ByteBuffer start_column,
                         ConsistencyLevel consistency_level,
                         org.apache.thrift.async.AsyncMethodCallback resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_indexed_slices

    void get_indexed_slices(ColumnParent column_parent,
                            IndexClause index_clause,
                            SlicePredicate column_predicate,
                            ConsistencyLevel consistency_level,
                            org.apache.thrift.async.AsyncMethodCallback resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### insert

    void insert(java.nio.ByteBuffer key,
                ColumnParent column_parent,
                Column column,
                ConsistencyLevel consistency_level,
                org.apache.thrift.async.AsyncMethodCallback resultHandler)
         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### add

    void add(java.nio.ByteBuffer key,
             ColumnParent column_parent,
             CounterColumn column,
             ConsistencyLevel consistency_level,
             org.apache.thrift.async.AsyncMethodCallback resultHandler)
      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### cas

    void cas(java.nio.ByteBuffer key,
             java.lang.String column_family,
             java.util.List<Column> expected,
             java.util.List<Column> updates,
             ConsistencyLevel serial_consistency_level,
             ConsistencyLevel commit_consistency_level,
             org.apache.thrift.async.AsyncMethodCallback resultHandler)
      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### remove

    void remove(java.nio.ByteBuffer key,
                ColumnPath column_path,
                long timestamp,
                ConsistencyLevel consistency_level,
                org.apache.thrift.async.AsyncMethodCallback resultHandler)
         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### remove_counter

    void remove_counter(java.nio.ByteBuffer key,
                        ColumnPath path,
                        ConsistencyLevel consistency_level,
                        org.apache.thrift.async.AsyncMethodCallback resultHandler)
                 throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### batch_mutate

    void batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                      ConsistencyLevel consistency_level,
                      org.apache.thrift.async.AsyncMethodCallback resultHandler)
               throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### atomic_batch_mutate

    void atomic_batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                             ConsistencyLevel consistency_level,
                             org.apache.thrift.async.AsyncMethodCallback resultHandler)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### truncate

    void truncate(java.lang.String cfname,
                  org.apache.thrift.async.AsyncMethodCallback resultHandler)
           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### get_multi_slice

    void get_multi_slice(MultiSliceRequest request,
                         org.apache.thrift.async.AsyncMethodCallback resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_schema_versions

    void describe_schema_versions(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_keyspaces

    void describe_keyspaces(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_cluster_name

    void describe_cluster_name(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                        throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_version

    void describe_version(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_ring

    void describe_ring(java.lang.String keyspace,
                       org.apache.thrift.async.AsyncMethodCallback resultHandler)
                throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_local_ring

    void describe_local_ring(java.lang.String keyspace,
                             org.apache.thrift.async.AsyncMethodCallback resultHandler)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_token_map

    void describe_token_map(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_partitioner

    void describe_partitioner(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_snitch

    void describe_snitch(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_keyspace

    void describe_keyspace(java.lang.String keyspace,
                           org.apache.thrift.async.AsyncMethodCallback resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_splits

    void describe_splits(java.lang.String cfName,
                         java.lang.String start_token,
                         java.lang.String end_token,
                         int keys_per_split,
                         org.apache.thrift.async.AsyncMethodCallback resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### trace_next_query

    void trace_next_query(org.apache.thrift.async.AsyncMethodCallback resultHandler)
                   throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### describe_splits_ex

    void describe_splits_ex(java.lang.String cfName,
                            java.lang.String start_token,
                            java.lang.String end_token,
                            int keys_per_split,
                            org.apache.thrift.async.AsyncMethodCallback resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### system_add_column_family

    void system_add_column_family(CfDef cf_def,
                                  org.apache.thrift.async.AsyncMethodCallback resultHandler)
                           throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### system_drop_column_family

    void system_drop_column_family(java.lang.String column_family,
                                   org.apache.thrift.async.AsyncMethodCallback resultHandler)
                            throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### system_add_keyspace

    void system_add_keyspace(KsDef ks_def,
                             org.apache.thrift.async.AsyncMethodCallback resultHandler)
                      throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### system_drop_keyspace

    void system_drop_keyspace(java.lang.String keyspace,
                              org.apache.thrift.async.AsyncMethodCallback resultHandler)
                       throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### system_update_keyspace

    void system_update_keyspace(KsDef ks_def,
                                org.apache.thrift.async.AsyncMethodCallback resultHandler)
                         throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### system_update_column_family

    void system_update_column_family(CfDef cf_def,
                                     org.apache.thrift.async.AsyncMethodCallback resultHandler)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### execute_cql_query

    void execute_cql_query(java.nio.ByteBuffer query,
                           Compression compression,
                           org.apache.thrift.async.AsyncMethodCallback resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### execute_cql3_query

    void execute_cql3_query(java.nio.ByteBuffer query,
                            Compression compression,
                            ConsistencyLevel consistency,
                            org.apache.thrift.async.AsyncMethodCallback resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### prepare_cql_query

    void prepare_cql_query(java.nio.ByteBuffer query,
                           Compression compression,
                           org.apache.thrift.async.AsyncMethodCallback resultHandler)
                    throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### prepare_cql3_query

    void prepare_cql3_query(java.nio.ByteBuffer query,
                            Compression compression,
                            org.apache.thrift.async.AsyncMethodCallback resultHandler)
                     throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### execute_prepared_cql_query

    void execute_prepared_cql_query(int itemId,
                                    java.util.List<java.nio.ByteBuffer> values,
                                    org.apache.thrift.async.AsyncMethodCallback resultHandler)
                             throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### execute_prepared_cql3_query

    void execute_prepared_cql3_query(int itemId,
                                     java.util.List<java.nio.ByteBuffer> values,
                                     ConsistencyLevel consistency,
                                     org.apache.thrift.async.AsyncMethodCallback resultHandler)
                              throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

#### set_cql_version

    void set_cql_version(java.lang.String version,
                         org.apache.thrift.async.AsyncMethodCallback resultHandler)
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`